Skip to main content
POST
/
v3
/
enterprise
/
members
/
users
Invite Users
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/members/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [
    "<string>"
  ],
  "enterprise_role_id": "<string>"
}
'
[
  {
    "email": "<string>",
    "name": "<string>",
    "role_assignments": [
      {
        "role": {
          "role_id": "<string>",
          "role_name": "<string>",
          "role_type": "enterprise"
        },
        "org_id": "<string>"
      }
    ],
    "user_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint creates direct role assignments for invited users. To manage membership through IDP groups, use the IDP group role management endpoints.

Permissions

Requires a service user with the ManageAccountMembership permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Body

application/json
emails
string[]
required
Maximum array length: 100
enterprise_role_id
string
required

Response

Successful Response

email
string | null
required
name
string | null
required
role_assignments
RoleAssignment · object[]
required
user_id
string
required